<?php

namespace Mshop\Lib;

use Dever;

class Manage
{
    # 审核拆单
    public function audit_api()
    {
        return Dever::load('mshop/lib/buy.audit_commit');
    }

    # 发货
    public function send_api()
    {
        return Dever::load('mshop/lib/buy.send_commit');
    }

    # 门店部分退款
    public function sell_order_tui_one_commit_api()
    {
        $shop_id = Dever::input('shop_id');
        $order_id = Dever::input('order_id');
        $order_goods_id = Dever::input('order_goods_id');
        $num = 0;
        $buy_status = Dever::input('status');
        $desc = Dever::input('desc');

        if ($buy_status == 3) {
            $status = 1;
        } else {
            $status = 2;
        }

        if (!$shop_id || !$order_id) {
            return;
        }

        return Dever::load('shop/lib/refund')->set('sell')->apply(2, $shop_id, $order_id, $order_goods_id, $status, $num, $desc, '', 2, $buy_status);
    }
}